Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "1bc33fce-58c0-495c-8c4e-6130e92751f3",
"user_id": "9b27671f-e2d2-458a-ab15-079c228df4f9",
"user_planning_slot_type_id": "5491dd5f-f3f3-4fa8-a990-d927615c2a49",
"date_from": "2026-05-15T20:15:02.1588135+00:00",
"date_to": "2026-05-15T20:15:02.1588135+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-05-15T20:15:02.1588135+00:00"
}